Bug 1372599

Summary: [RFE] Foreman-discovery image does not report back on which Capsule/Satellite server it has connected to to retrieve its kickstart template
Product: Red Hat Satellite 6 Reporter: Calvin Hartwell <chartwel>
Component: Discovery ImageAssignee: Lukas Zapletal <lzap>
Status: CLOSED ERRATA QA Contact: Radovan Drazny <rdrazny>
Severity: medium Docs Contact:
Priority: medium    
Version: 6.2.0CC: bbuckingham, bkearney, jcallaha, ktordeur, lzap, rdrazny, sokeeffe
Target Milestone: UnspecifiedKeywords: FutureFeature, Triaged
Target Release: Unused   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: foreman-discovery-image-3.4.1-1 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-02-21 16:54:17 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Calvin Hartwell 2016-09-02 08:03:09 UTC
Description of problem:

We want the foreman-discovery image to report back on which capsule server or satellite server it has connected to. This is so we can use the fact within the discovery rule or kickstart template. 

Version-Release number of selected component (if applicable):

6.1.X
6.2.1

How reproducible:

Easy to reproduce. 

Steps to Reproduce:
1. Load foreman discovery image.
2. Put in capsule/satellite server fqdn and facts.
3. Wait to load...
4. Check foreman for capsule/sat server fact
5. It doesn't exist! 

Actual results:

Foreman discovery does not report which capsule/server it has connected to in order to obtain its kickstart

Expected results:

Discovery rules should be able to take into account the capsule/sat6 server the client running foreman-discovery has connected to while it waits for its kickstart. 

Additional info:

Comment 2 Bryan Kearney 2016-09-02 16:19:13 UTC
Upstream bug component is Discovery Plugin

Comment 3 Bryan Kearney 2016-09-02 16:19:15 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/16420 has been resolved.

Comment 6 Lukas Zapletal 2017-06-28 10:27:14 UTC
Will be part of Satellite 6.3.

Comment 7 Radovan Drazny 2018-01-03 10:52:31 UTC
Tested with foreman-discovery-image-3.4.1-3.iso.

After registration, there is now a fact in the Software section, discovery_proxy_uri, containing the uri of the server used to discovery the host. Tested both on the Satellite and on a Capsule.

VERIFIED

Comment 8 pm-sat@redhat.com 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336